Buzztard Bt-Edit Reference Manual

for Buzztard 0.5.0. The latest version of this documentation can be found on-line at http://www.buzztard.org/files/apidocs/bt-edit/.

Introduction
I. Overview
II. User Application Reference
  Main Class Reference
    btedit — buzztard graphical editor application
    BtAboutDialog — class for the editor about dialog
    BtEditApplication — class for a gtk based buzztard editor application
    BtInteractionControllerMenu — class for the interaction controller assignment popup menu
    BtInteractionControllerLearnDialog — learn dialog for interaction devices
    BtMachineActions — shared machine released ui actions
    BtMachineCanvasItem — class for the editor machine views machine canvas item
    BtMachineMenu — class for the machine selection popup menu
    BtMachinePreferencesDialog — machine non-realtime parameters
    BtMachinePresetPropertiesDialog — machine preset settings
    BtMachinePropertiesDialog — machine realtime parameters
    BtMachineRenameDialog — machine settings
    BtMainMenu — class for the editor main menu
    BtMainPageInfo — the editor main info page
    BtMainPageMachines — the editor main machines page
    BtMainPagePatterns — the editor main pattern page
    BtMainPageSequence — the editor main sequence page
    BtMainPageWaves — the editor wavetable page
    BtMainPages — class for the editor main pages
    BtMainStatusbar — class for the editor main statusbar
    BtMainToolbar — class for the editor main toolbar
    BtMainWindow — root buzztard editor window
    BtMissingFrameworkElementsDialog — missing core and application elements
    BtMissingSongElementsDialog — missing song machine and wave elements
    BtPanoramaPopup — panorama popup widget
    BtPatternPropertiesDialog — pattern settings
    BtRenderDialog — class for the editor render dialog
    BtRenderProgress — class for the editor render progress
    BtSequenceView — the editor main sequence table view
    BtSettingsDialog — class for the editor settings dialog
    BtSettingsPageAudiodevices — audio device configuration settings page
    BtSettingsPageInteractionController — interaction controller configuration settings page
    BtSettingsPagePlaybackController — playback controller configuration settings page
    BtSettingsPageDirectories — default directory configuration settings page
    BtUIResources — common shared ui resources like icons and colors
    BtVolumePopup — volume popup widget
    BtWireAnalysisDialog — audio analysis for this wire
    BtWireCanvasItem — class for the editor wire views wire canvas item
  Tool Class Reference
    BtPlaybackControllerSocket — sockets based playback controller
  Widget Class Reference
    BtPatternEditor
    BtWaveformViewer
    GtkVUMeter — vu meter widget
III. Appendix
  Object Hierarchy
  API Index

Generated by GTK-Doc V1.12